*       ķ
*                                                                
*        CREATET.PRG                                             
*                                                                
*       Ķ
*        Application Developed in _Using FoxPro 2_               
*                                                                
*        Lisa C. Slater and Steven E. Arnott                     
*                                                                
*        Copyright (c) 1991 Que Publishing                       
*                                                                
*       Ľ

* 
*                  Executive Information System for
* 
*                    The Omnipresent Widget, Ltd.
 
* codes in the system are created from initial letters
* plus tie-breaking digits for sub-groups 

CREATE TABLE Budget      ;
    (Deptcode    C(4),   ;     
     Prodcode    C(5),   ;     
     Budcatcode  C(4),   ;     
     Period      D,      ;     
     Budgetamt   N(7,0), ;     
     Final       L,      ;     
     Notes       M)
INDEX ON Prodcode   TAG Prodcode
INDEX ON Deptcode   TAG Deptcode
INDEX ON Budcatcode TAG Budcatcode
INDEX ON Period     TAG Period
INDEX ON Budgetamt  TAG Budgetamt
INDEX ON Final      TAG Final 

CREATE TABLE Dept        ;
     (Deptcode   C(4),   ;     
      Deptname   C(30))        
INDEX ON Deptcode TAG Deptcode
INDEX ON Deptname Tag Deptname
 
CREATE TABLE Product     ;
     (Prodcode   C(5),   ;     
      Prodname   C(20),  ;     
      Photo          M)
INDEX ON Prodname TAG Prodname
INDEX ON Prodcode TAG Prodcode
 
CREATE TABLE Budcat      ;
     (Budcatcode C(4),   ;     
      Budcat     C(20))  ;     
INDEX ON Budcatcode TAG Budcatcode
INDEX ON Budcat     TAG Budcat 

CREATE TABLE Manufact    ;
     (Prodcode   C(5),   ;     
      Proddate   D,      ;     
      Shift      C(1),   ;     
      Quantity   N(4,0), ;     
      Rejects    N(4,0))       
 
CREATE TABLE Prodmix     ;
     (Prodcode   C(5),   ;     
      Rawmatter  C(20),  ;     
      Weight     N(7,0))

 
CREATE TABLE Rawdeliv    ;
      (Invoice    C(5),   ;     
      Vendorcode C(4),   ;     
      Rawmatter  C(20),  ;     
      Cost       N(10,2),;     
      Delivdate  D,      ;     
      Paiddate   D)            
 
CREATE TABLE Material    ;
     (Rawmatter C(20))         
 
CREATE TABLE Vendor      ;
     (Vendorcode C(4),   ;     
      Company    C(30),  ;     
      President  C(30),  ;     
      Phone      C(10))       
 
CREATE TABLE Capexp      ;     
     (Capcode    C(4),   ;     
      Deptcode   C(4),   ;     
      Prodcode   C(5),   ;     
      Period     C(5),   ;     
      Depnperiod N(2,0), ;     
      Amount     N(10,2),;     
      Notes      M)           
 
CREATE TABLE Wages       ;
     (Deptcode   C(4),   ;     
      Prodcode   C(5),   ;     
      Wagetype   C(1),   ;     
      Shift      C(1),   ;     
      Periodwk   C(5),   ;     
      Amount     N(11,2))      
 
CREATE TABLE Sales       ;
     (Invoice    C(5),   ;     
      Prodcode   C(5),   ;     
      Datesold   D,      ;     
      Quantity   N(5,0), ;     
      Price      N(7,2), ;     
      Salesman   C(4),   ;     
      Custcode   C(4))         
 
CREATE TABLE Salesman    ;
     (Salesman   C(4),   ;     
      Name       C(30))       
 
CREATE TABLE Customer    ;
     (Custcode   C(4),   ;     
      Company    C(35),  ;     
      Address1   C(30),  ;     
      Address2   C(30),  ;     
      City       C(20),  ;     
      State      C(2),   ;     
      Zip        C(5),   ;     
      Lastname   C(20),  ;     
      Firstname  C(15),  ;     
      Prefix     C(3),   ;     
      Phone      C(10))       
 
 
RETURN

